အကြောင်းအရာသို့ ကျော်ရန်

Tripo3D Segment

ပေါင်းစည်းရန်

မော်ဒယ် id tripo3d/tripo/segment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၄၀ $ ၄၀၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Tripo 3D #stylized#transform

ရှိပြီးသား 3D မော်ဒယ်ကို အမည်ပေးထားသော အဓိပ္ပာယ်ဆိုင်ရာ အစိတ်အပိုင်းများအဖြစ် ခွဲပြီး အစိတ်အပိုင်းအမည်များကို ပြန်ပေးသည်

Tripo · 3D

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

Segmentation အရင်းအမြစ်မှာ URL ဖြင့် ပေးထားသော 3D မော်ဒယ်ဖြစ်ပြီး 150 MB ထက်မကြီးရ၊ GLB၊ OBJ၊ FBX သို့မဟုတ် STL အဖြစ် သိမ်းထားရသည်။

POST /run/tripo3d/tripo/segment?wait=20 ကုန်ကျစရိတ် → ၀.၄၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Tripo3D Segment အကြောင်း

`mesh_url` မှ မက်ရှ် (GLB၊ OBJ၊ FBX သို့မဟုတ် STL၊ အများဆုံး 150MB) ကို လက်ခံပြီး အစိတ်အပိုင်းများအဖြစ် ခွဲခြားသည်။ ရလဒ်တွင် အပိုင်းခွဲထားသော မော်ဒယ်၊ အစမ်း ပုံဖော်ခြင်းနှင့် ရရှိပါက `part_names` စာရင်း ပါဝင်သည်။ ထိုအမည်များကို remesh မော်ဒယ်သို့ ပေးပို့၍ အစိတ်အပိုင်းများကို သီးခြားထားနိုင်သည်။ အခြားဆက်တင် မလိုအပ်ပါ။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
mesh_urlလိုအပ်သည်
အမျိုးအစားstring
Segmentation အရင်းအမြစ်မှာ URL ဖြင့် ပေးထားသော 3D မော်ဒယ်ဖြစ်ပြီး 150 MB ထက်မကြီးရ၊ GLB၊ OBJ၊ FBX သို့မဟုတ် STL အဖြစ် သိမ်းထားရသည်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/tripo/segment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "part_names": [
      "string"
    ],
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
model_mesh
object {url, content_type, file_name, file_size}Tripo ပြန်ပေးသည့်အရာပေါ် မူတည်သည့် ဖော်မတ်ရှိသော segmented 3D ဖိုင်။ GLB သို့မဟုတ် FBX ဖြစ်နိုင်သည်။
model_urls
object {glb, fbx, base_model, pbr_model}Segmented မော်ဒယ်၏ အခြား 3D မူကွဲများသို့ ညွှန်ပြသည့် URLs။
part_names
array of stringRemesh တောင်းဆိုချက်တွင် 'part_names' အဖြစ် အသုံးပြုနိုင်သော အစိတ်အပိုင်း identifier များ။ Segmentation ပြုလုပ်စဉ် Tripo က အစီရင်ခံပါကသာ ထိုအမည်များ ပါဝင်သည်။
rendered_image
object {url, content_type, file_name, file_size} | nullSegmented 3D မော်ဒယ်ကို ပြသသည့် render လုပ်ထားသော အစမ်းကြည့်ပုံ။

နောက်ထပ် မော်ဒယ်များ: 3D

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/tripo3d/tripo/segment.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt